<?

// Используются только дети этого класса!
// столбец графика
class Gr_col {

	protected $color = array(); // первый цвет основной, второй - когда стока выделена
	protected $is_select = 0;

	function __construct($graph, $x, $nomer, $key_value, $color, $def_value=0) {
		$this->graph = $graph; //  ссылка на объект графика (чтобы брать общие настройки)
		$this->x = $x;
		$this->value = 0;
		$this->cur_size = 0; // если указано, значит пометка текущий столбец и по совместительству  размер текущего фрагмента
		$this->value = $def_value;
		$this->nomer = $nomer;
		$this->key_value = $key_value; // число которое пишем под столбцом
		$this->color = $color;
	}

	function get_value() {
		return $this->value;
	}

	function set_is_Select($is_select, $is_redraw) {
		$this->is_select = $is_select;

		if($is_redraw) 
			$this->redraw();
	}

	function set_value($value, $is_redraw=true) {
		if($value < $this->value) {
			$this->graph->need_redraw_all = true;
		}
		$this->value = $value;

		if($is_redraw)
			$this->redraw();
	}

	function add_value($value) {
		$this->value += $value;
		$this->redraw();
	}

	function set_cur($sizeKb) {
		$this->cur_size = $sizeKb;
		$this->redraw();
	}

	function set_uncur() {
		$this->cur_size = 0;
		$this->redraw();
	}
}

?>